> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/extracted-indicator.md).

# extractedIndicator

### Examples

```graphql
type ExtractedIndicator {
  kind: IndicatorKind!
  value: String!
  versionRange: String
  fixedVersions: [String!]!
  remediationStatus: IndicatorRemediationStatus!
  remediations: [ExtractedRemediation!]!
  isCompromised: Boolean
  isCompromisedBasis: String
  infectsOnInstall: Boolean
  ecosystem: String
  severity: IncidentSeverity
  cvssScore: Float
  cvssVersion: String
  cveIntelligence: CveIntelligence
}
```

### Fields

| Field                                                                                                                                                | Description                                                                           | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| ---------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| kind [`IndicatorKind!`](/api-documentation/api-reference/api--response-center/types/enums/indicator-kind.md)                                         |                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| value `String!`                                                                                                                                      |                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| versionRange `String`                                                                                                                                |                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| fixedVersions `[String!]!`                                                                                                                           |                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| remediationStatus [`IndicatorRemediationStatus!`](/api-documentation/api-reference/api--response-center/types/enums/indicator-remediation-status.md) |                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| remediations [`[ExtractedRemediation!]!`](/api-documentation/api-reference/api--response-center/types/objects/extracted-remediation.md)              |                                                                                       | <p>action <a href="/api-documentation/api-reference/api--response-center/types/enums/indicator-remediation-action.md"><code>IndicatorRemediationAction!</code></a><br>versions <code>\[String!]!</code><br>source <code>String</code><br>vendor <code>String</code><br>product <code>String</code><br>packageName <code>String</code><br>collectionUrl <code>String</code><br>versionType <code>String</code><br>affectedRange <code>String</code></p>                                                                                                                                                                                                                                                                                                |
| isCompromised `Boolean`                                                                                                                              |                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| isCompromisedBasis `String`                                                                                                                          |                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| infectsOnInstall `Boolean`                                                                                                                           |                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| ecosystem `String`                                                                                                                                   |                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| severity [`IncidentSeverity`](/api-documentation/api-reference/api--response-center/types/enums/incident-severity.md)                                |                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| cvssScore `Float`                                                                                                                                    |                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| cvssVersion `String`                                                                                                                                 | CVSS specification version associated with the score.                                 |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| cveIntelligence [`CveIntelligence`](/api-documentation/api-reference/api--response-center/types/objects/cve-intelligence.md)                         | Response Center-owned exploitation and official KEV intelligence for a CVE indicator. | <p>exploitationStatus <a href="/api-documentation/api-reference/api--response-center/types/enums/cve-exploitation-status.md"><code>CveExploitationStatus!</code></a><br>firstReportedExploitationAt <code>DateTime</code><br>firstObservedExploitationAt <code>DateTime</code><br>kev <a href="/api-documentation/api-reference/api--response-center/types/objects/cisa-kev-observation.md"><code>CisaKevObservation!</code></a><br>euKev <a href="/api-documentation/api-reference/api--response-center/types/objects/eu-kev-observation.md"><code>EuKevObservation</code></a><br>articleEvidence <a href="/api-documentation/api-reference/api--response-center/types/objects/cve-article-evidence.md"><code>\[CveArticleEvidence!]!</code></a></p> |

### References

#### Fields with this object:

* [{} CveSeverityInfo.indicators](/api-documentation/api-reference/api--response-center/types/objects/cve-severity-info.md)
* [{} ExtractedIncidentDraft.indicators](/api-documentation/api-reference/api--response-center/types/objects/extracted-incident-draft.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/extracted-indicator.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
